#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Cache
%define		pnam	Cache
Summary:	Cache::Cache - a generic interface for creating persistent data stores
Summary(pl.UTF-8):	Cache::Cache - ogólny interfejs do trwałego przechowywania danych
Name:		perl-Cache-Cache
Version:	1.08
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c18bfc823055d1df5255ae834e161749
URL:		http://perl-cache.sourceforge.net/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Digest-SHA1 >= 2.01
BuildRequires:	perl-Error >= 0.15
BuildRequires:	perl(File::Spec) >= 0.82
# optional, broken in 5.10.0
#BuildRequires:	perl-IPC-ShareLite >= 0.08
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(IPC::ShareLite)'

%description
The Cache modules are designed to assist a developer in persisting
data for a specified period of time. Often these modules are used
in web applications to store data locally to save repeated and
redundant expensive calls to remote machines or databases. People
have also been known to use Cache::Cache for its straightforward
interface in sharing data between runs of an application or
invocations of a CGI-style script or simply as an easy to use
abstraction of the filesystem or shared memory.

%description -l pl.UTF-8
Moduły Cache mają na celu pomóc programiście w utrzymywaniu danych
przez określony czas. Te moduły są przeważnie używane w aplikacjach
WWW do zapisywania danych lokalnie w celu uniknięcia powtarzających
się i niepotrzebnych odwołań do zewnętrznych maszyn lub baz danych.
Cache::Cache bywa używany ze względu na swój prosty interfejs do
dzielenia danych pomiędzy uruchomieniami aplikacji lub wywołaniami
skryptu CGI, albo po prostu jako łatwa w użyciu abstrakcja systemu
plików lub pamięci dzielonej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING CREDITS DISCLAIMER README STYLE
%{perl_vendorlib}/Cache/*.pm
%{_mandir}/man3/*
%changelog
* Sat Feb 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Cache-Cache.git;a=log;h=master

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 87ddb9d
- up to 1.08

* Mon Jun 15 2009 amateja <amateja@pld-linux.org> 3cb93e4
- updated to 1.06

* Sat Feb 23 2008 radek <radek@pld-linux.org> 4758d67
- release 2: disable strict IPC::ShareLite req

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 56efdd9
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> ee0f6ff
- converted to UTF-8

* Sun Jul 09 2006 Maciej Pijanka <agaran@pld-linux.org> ea23f5c
- up to 1.05, rel1, builds here

* Wed Jul 27 2005 radek <radek@pld-linux.org> 6af554d
- version 1.04

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> d6b7abf
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> 9717e8d
- updated to 1.03

* Sat Jun 05 2004 radek <radek@pld-linux.org> 6e2f4ae
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Wed Jun 02 2004 ankry <ankry@pld-linux.org> 80e4408
- removed unnecessary R/BR, rel.++

* Fri May 07 2004 ankry <ankry@pld-linux.org> 826ac2a
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> c8b9afe
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 1381262
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 0d182d4
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> adbe64c
- license fixes and unification

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> fbb3bd5
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 9a909b2
- fixed changelog trailer

* Mon Jun 30 2003 migo <migo@pld-linux.org> cd8bdce
- up to 1.02

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 38ce5a7
- massive attack: source-md5

